#ifndef MAIN_H
#define MAIN_H
typedef struct _filterspec
{
	int a;
	/* names, value types etc for data on witch filtering can be done */
} filterspec;

typedef struct _lower_layer_info 
{
	int a;
	/* should contain an array of module names associated with void pointers to module specific info */
} lower_layer_info;


int register_module( char const name[], int (*initialize)(), int(*initialize_links)());
void register_with_giu(const char *modulename, void(*gui_callback_function)());
void register_with_filter_engine(const char *modulename, filterspec fspec, void (*filter_compare_callback)());
#endif
